Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.handler
Class IQAuthHandler

    java.lang.Object
      org.jivesoftware.openfire.container.BasicModule
          org.jivesoftware.openfire.handler.IQHandler
              org.jivesoftware.openfire.handler.IQAuthHandler

All Implemented Interfaces:
  ChannelHandler, Module, IQAuthInfo

    public class IQAuthHandler

extends IQHandler
implements IQAuthInfo

Implements the TYPE_IQ jabber:iq:auth protocol (plain only). Clients use this protocol to authenticate with the server. A 'get' query runs an authentication probe with a given user name. Return the authentication form or an error indicating the user is not registered on the server.

A 'set' query authenticates with information given in the authentication form. An authenticated session may reset their authentication information using a 'set' query.

## Assumptions

This handler assumes that the request is addressed to the server. An appropriate TYPE_IQ tag matcher should be placed in front of this one to route TYPE_IQ requests not addressed to the server to another channel (probably for direct delivery to the recipient).

Author:
  Iain Shigeoka

Field Summary

Fields inherited from class org.jivesoftware.openfire.handler.IQHandler
`deliverer, sessionManager`

Constructor Summary
`IQAuthHandler()` Clients are not authenticated when accessing this handler.

Method Summary
`IQHandlerInfo` | `getInfo()` Returns the handler information to help generically handle IQ packets.
`org.xmpp.packet.IQ` | `handleIQ(org.xmpp.packet.IQ packet)` Handles the received IQ packet.
`void` | `initialize(XMPPServer server)` Initializes the basic module.
`boolean` | `isAnonymousAllowed()` Returns true if anonymous authentication is allowed.
`void` | `setAllowAnonymous(boolean isAnonymous)` Changes the server's support for anonymous authentication.

Methods inherited from class org.jivesoftware.openfire.handler.IQHandler
`process`

Methods inherited from class org.jivesoftware.openfire.container.BasicModule
`destroy, getName, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IQAuthHandler

    public IQAuthHandler()

  Clients are not authenticated when accessing this handler.

Method Detail

### handleIQ

    public org.xmpp.packet.IQ handleIQ(org.xmpp.packet.IQ packet)
                                throws UnauthorizedException,
                                       PacketException

  Description copied from class: `IQHandler`
  Handles the received IQ packet.

  Specified by:
    `handleIQ` in class `IQHandler`
  Parameters:
    `packet` - the IQ packet to handle.
  Returns:
    the response to send back.
  Throws:
    `UnauthorizedException` - if the user that sent the packet is not authorized to request the given operation.
    `PacketException`

### isAnonymousAllowed

    public boolean isAnonymousAllowed()

  Description copied from interface: `IQAuthInfo`
  Returns true if anonymous authentication is allowed.

  Specified by:
    `isAnonymousAllowed` in interface `IQAuthInfo`
  Returns:
    true if anonymous logins are allowed

### setAllowAnonymous

    public void setAllowAnonymous(boolean isAnonymous)
                           throws UnauthorizedException

  Description copied from interface: `IQAuthInfo`
  Changes the server's support for anonymous authentication.

  Specified by:
    `setAllowAnonymous` in interface `IQAuthInfo`
  Parameters:
    `isAnonymous` - True if anonymous logins should be allowed.
  Throws:
    `UnauthorizedException` - If you don't have permission to adjust this setting

### initialize

    public void initialize(XMPPServer server)

  Description copied from class: `BasicModule`

  Initializes the basic module.

  Inheriting classes that choose to override this method MUST call this initialize() method before accessing BasicModule resources.

  Specified by:
    `initialize` in interface `Module`
  Overrides:
    `initialize` in class `IQHandler`
  Parameters:
    `server` - the server hosting this module.

### getInfo

    public IQHandlerInfo getInfo()

  Description copied from class: `IQHandler`
  Returns the handler information to help generically handle IQ packets. IQHandlers that aren't local server iq handlers (e.g. chatbots, transports, etc) return `null`.

  Specified by:
    `getInfo` in class `IQHandler`
  Returns:
    The IQHandlerInfo for this handler

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.